FIX: Explicitly require `topic_query_params`

FIX: Explicitly require topic_query_params

diff --git a/app/controllers/embed_controller.rb b/app/controllers/embed_controller.rb
index 93c9417..3c3fe25 100644
--- a/app/controllers/embed_controller.rb
+++ b/app/controllers/embed_controller.rb
@@ -1,5 +1,7 @@
 # frozen_string_literal: true
 
+require_dependency 'topic_query_params'
+
 class EmbedController < ApplicationController
   include TopicQueryParams

GitHub sha: b8f21ea9

One interesting tidbit of info here is that it looks like we can get rid of magic require_dependency in Rails 6 and simply use require everywhere.

1 Like